# opentl::tracker::Kalman::Kalman::KalmanData Class Reference

List of all members.

## Public Member Functions
void | deleteData ()
| KalmanData ()
void | resizeData (int sdim, int zdim)
| ~KalmanData ()
## Public Attributes
math::SquareMatrix * | covQ
| Matrix Q = process noise covariance.
math::Vector * | covR
| Matrix R = measurement noise covariance.
math::Vector * | innov
| Innovation (residual vector).
math::Matrix * | kalmanGain
| Kalman Gain K.
math::SquareMatrix * | matA
| State transition matrix A.
math::Matrix * | matH
| Matrix H = Jacobian of measurement model.
math::Matrix * | matHT
math::SquareMatrix * | matI
| Just the identity-matrix I.
math::SquareMatrix * | matS
| Temporary support matrices for the update step.
int | measDim
| Current dimensions of measurement and state.
int | stateLieDim
math::Matrix * | tmpMatC
math::SquareMatrix * | tmpMatP

## Constructor & Destructor Documentation

opentl::tracker::Kalman::Kalman::KalmanData::KalmanData | ( |  | ) |

opentl::tracker::Kalman::Kalman::KalmanData::~KalmanData | ( |  | ) |

## Member Function Documentation

void opentl::tracker::Kalman::Kalman::KalmanData::deleteData | ( |  | ) |

void opentl::tracker::Kalman::Kalman::KalmanData::resizeData | ( | int | sdim,
|  | int | zdim |
| ) |  |  |

## Member Data Documentation

math::SquareMatrix* opentl::tracker::Kalman::Kalman::KalmanData::covQ

Matrix Q = process noise covariance.

math::Vector* opentl::tracker::Kalman::Kalman::KalmanData::covR

Matrix R = measurement noise covariance.

math::Vector* opentl::tracker::Kalman::Kalman::KalmanData::innov

Innovation (residual vector).

math::Matrix* opentl::tracker::Kalman::Kalman::KalmanData::kalmanGain

Kalman Gain K.

math::SquareMatrix* opentl::tracker::Kalman::Kalman::KalmanData::matA

State transition matrix A.

math::Matrix* opentl::tracker::Kalman::Kalman::KalmanData::matH

Matrix H = Jacobian of measurement model.

math::Matrix* opentl::tracker::Kalman::Kalman::KalmanData::matHT

math::SquareMatrix* opentl::tracker::Kalman::Kalman::KalmanData::matI

Just the identity-matrix I.

math::SquareMatrix* opentl::tracker::Kalman::Kalman::KalmanData::matS

Temporary support matrices for the update step.

int opentl::tracker::Kalman::Kalman::KalmanData::measDim

Current dimensions of measurement and state.

int opentl::tracker::Kalman::Kalman::KalmanData::stateLieDim

math::Matrix* opentl::tracker::Kalman::Kalman::KalmanData::tmpMatC

math::SquareMatrix* opentl::tracker::Kalman::Kalman::KalmanData::tmpMatP